Index: /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/HeuristicLab.Security.Server-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/HeuristicLab.Security.Server-3.2.csproj	(revision 1713)
+++ /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/HeuristicLab.Security.Server-3.2.csproj	(revision 1713)
@@ -0,0 +1,86 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{E3288D4B-7A51-499A-AC5B-019319CE51DC}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Security.Server</RootNamespace>
+    <AssemblyName>HeuristicLab.Security.Server-3.2</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.ServiceModel">
+      <RequiredTargetFramework>3.0</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="SecurityServer.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="SecurityServer.Designer.cs">
+      <DependentUpon>SecurityServer.cs</DependentUpon>
+    </Compile>
+    <Compile Include="SecurityServerApplication.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="SecurityServerPlugin.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Security.Contracts\3.2\HeuristicLab.Security.Contracts-3.2.csproj">
+      <Project>{D59E852C-F205-4647-8C05-EB9ED1CF44E9}</Project>
+      <Name>HeuristicLab.Security.Contracts-3.2</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="SecurityServer.resx">
+      <DependentUpon>SecurityServer.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/Properties/AssemblyInfo.cs	(revision 1713)
+++ /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/Properties/AssemblyInfo.cs	(revision 1713)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Security.Server-3.2")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab.Security.Server-3.2")]
+[assembly: AssemblyCopyright("Copyright ©  2009")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("8d872b5a-6083-4ac5-928f-bc7f74989f49")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.Designer.cs	(revision 1713)
+++ /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.Designer.cs	(revision 1713)
@@ -0,0 +1,93 @@
+﻿namespace HeuristicLab.Security.Server {
+  partial class SecurityServer {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.label1 = new System.Windows.Forms.Label();
+      this.labelPermission = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.labelSecurity = new System.Windows.Forms.Label();
+      this.SuspendLayout();
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.label1.Location = new System.Drawing.Point(26, 31);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(257, 13);
+      this.label1.TabIndex = 0;
+      this.label1.Text = "Security Server Permission Manager running";
+      // 
+      // labelPermission
+      // 
+      this.labelPermission.AutoSize = true;
+      this.labelPermission.Location = new System.Drawing.Point(29, 60);
+      this.labelPermission.Name = "labelPermission";
+      this.labelPermission.Size = new System.Drawing.Size(35, 13);
+      this.labelPermission.TabIndex = 1;
+      this.labelPermission.Text = "label2";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.label3.Location = new System.Drawing.Point(29, 94);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(243, 13);
+      this.label3.TabIndex = 2;
+      this.label3.Text = "Security Server Security Manager running";
+      // 
+      // labelSecurity
+      // 
+      this.labelSecurity.AutoSize = true;
+      this.labelSecurity.Location = new System.Drawing.Point(32, 128);
+      this.labelSecurity.Name = "labelSecurity";
+      this.labelSecurity.Size = new System.Drawing.Size(35, 13);
+      this.labelSecurity.TabIndex = 3;
+      this.labelSecurity.Text = "label4";
+      // 
+      // SecurityServer
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(345, 167);
+      this.Controls.Add(this.labelSecurity);
+      this.Controls.Add(this.label3);
+      this.Controls.Add(this.labelPermission);
+      this.Controls.Add(this.label1);
+      this.Name = "SecurityServer";
+      this.Text = "SecurityServer";
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label labelPermission;
+    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.Label labelSecurity;
+  }
+}
Index: /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.cs	(revision 1713)
+++ /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.cs	(revision 1713)
@@ -0,0 +1,23 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Security.Server {
+  public partial class SecurityServer : Form {
+    public SecurityServer(Dictionary<string, Uri> baseAddrDict) {
+      InitializeComponent();
+      Uri uri;
+      baseAddrDict.TryGetValue(SecurityServerApplication.STR_PermissionManager, out uri);
+      if (uri != null)
+        this.labelPermission.Text = uri.ToString();
+      baseAddrDict.TryGetValue(SecurityServerApplication.STR_SecurityManager, out uri);
+      if (uri != null)
+        this.labelSecurity.Text = uri.ToString();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.resx
===================================================================
--- /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.resx	(revision 1713)
+++ /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServer.resx	(revision 1713)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServerApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServerApplication.cs	(revision 1713)
+++ /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServerApplication.cs	(revision 1713)
@@ -0,0 +1,126 @@
+﻿using System;
+using System.Collections.Generic;
+using HeuristicLab.PluginInfrastructure;
+using System.Text;
+using System.ServiceModel;
+using System.ServiceModel.Description;
+using System.Net;
+using HeuristicLab.Security.Contracts.Interfaces;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Security.Server {
+
+  [ClassInfo(Name = "Security Server",
+  Description = "Server application for the security.",
+  AutoRestart = true)]
+  public class SecurityServerApplication : ApplicationBase {
+    public const string STR_PermissionManager = "PermissionManager";
+    public const string STR_SecurityManager = "SecurityManager";   
+
+    int DEFAULT_PORT_SM = 9111;
+    int DEFAULT_PORT_PM = 9112;
+
+    private DiscoveryService discService = new DiscoveryService();
+    private Dictionary<string, ServiceHost> runningServices = new Dictionary<string, ServiceHost>();
+    private NetTcpBinding binding = new NetTcpBinding(SecurityMode.None, true);
+
+    private enum Services {
+      SecurityManager,
+      PermissionManager,
+      All
+    }
+    
+    private bool AddMexEndpoint(ServiceHost serviceHost) {
+      if (serviceHost != null) {
+        ServiceMetadataBehavior behavior = new ServiceMetadataBehavior();
+        serviceHost.Description.Behaviors.Add(behavior);
+
+        return serviceHost.AddServiceEndpoint(
+          typeof(IMetadataExchange),
+          MetadataExchangeBindings.CreateMexTcpBinding(),
+          "mex") != null;
+      } else
+        return false;
+    }
+
+    private Uri StartService(Services svc, IPAddress ipAddress, int port) {
+      string curServiceHost = "";
+      Uri uriTcp;
+      ISecurityManager[] securityManagerInstances = discService.GetInstances<ISecurityManager>();
+      IPermissionManager[] permissionManagerInstances = discService.GetInstances<IPermissionManager>();
+      ServiceHost serviceHost = null;
+      switch (svc) {
+        case Services.PermissionManager:
+          if (securityManagerInstances.Length > 0) {
+            uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/PermissionManager/"); 
+            serviceHost = new ServiceHost(permissionManagerInstances[0].GetType(), uriTcp);
+            serviceHost.AddServiceEndpoint(typeof(IPermissionManager), binding, STR_PermissionManager);
+            curServiceHost = STR_PermissionManager;
+          }
+          break;
+        case Services.SecurityManager:
+          if (securityManagerInstances.Length > 0) {
+            uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/SecurityManager/");
+            serviceHost = new ServiceHost(securityManagerInstances[0].GetType(), uriTcp);
+            serviceHost.AddServiceEndpoint(typeof(ISecurityManager), binding, STR_SecurityManager);
+            curServiceHost = STR_SecurityManager;
+          }
+          break;
+        case Services.All:
+          throw new InvalidOperationException("Not supported!");
+        default:
+          return null;
+      }
+      if ((serviceHost != null) && (!String.IsNullOrEmpty(curServiceHost))) {
+        AddMexEndpoint(serviceHost);
+    //    WcfSettings.SetServiceCertificate(serviceHost);
+        serviceHost.Open();
+        runningServices.Add(curServiceHost, serviceHost);
+        return serviceHost.BaseAddresses[0];
+      } else
+        return null;
+    }
+
+    private void StopService(Services svc) {
+      ServiceHost svcHost = null;
+      switch (svc) {
+        case Services.PermissionManager:
+          runningServices.TryGetValue(STR_PermissionManager, out svcHost);
+          break;
+        case Services.SecurityManager:
+          runningServices.TryGetValue(STR_SecurityManager, out svcHost);
+          break;
+        case Services.All:
+          foreach (KeyValuePair<string, ServiceHost> item in runningServices)
+            item.Value.Close();
+          return;
+        default:
+          throw new InvalidOperationException("Not supported!");
+      }
+      svcHost.Close();
+    }
+
+    public override void Run() {
+      IPAddress[] addresses = Dns.GetHostAddresses(Dns.GetHostName());
+      int index = 0;
+      if (System.Environment.OSVersion.Version.Major >= 6) {
+        for (index = addresses.Length - 1; index >= 0; index--)
+          if (addresses[index].AddressFamily == System.Net.Sockets.AddressFamily.InterNetwork)
+            break;
+      }
+      
+      //Start services and record their base address
+      Dictionary<string, Uri> baseAddrDict = new Dictionary<string, Uri>();
+      baseAddrDict.Add(STR_PermissionManager,
+        StartService(Services.PermissionManager, addresses[index], DEFAULT_PORT_PM));
+      baseAddrDict.Add(STR_SecurityManager,
+        StartService(Services.SecurityManager, addresses[index], DEFAULT_PORT_SM));
+
+      SecurityServer securityServer = new SecurityServer(baseAddrDict);
+
+      Application.Run(securityServer);
+
+      StopService(Services.All);
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServerPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServerPlugin.cs	(revision 1713)
+++ /trunk/sources/HeuristicLab.Security.Server-3.2/3.2/SecurityServerPlugin.cs	(revision 1713)
@@ -0,0 +1,33 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Security.Server {
+  [ClassInfo(Name = "HeuristicLab.Security.Server-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Security.Server-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  public class SecurityServerPlugin : PluginBase {
+  }
+}
Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 1712)
+++ /trunk/sources/HeuristicLab.sln	(revision 1713)
@@ -195,8 +195,7 @@
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "v3.3", "v3.3", "{78982D7C-D63D-4A3D-AE1F-F58AC007603B}"
 EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.Server-3.2", "HeuristicLab.Security.Server-3.2\3.2\HeuristicLab.Security.Server-3.2.csproj", "{E3288D4B-7A51-499A-AC5B-019319CE51DC}"
+EndProject
 Global
-	GlobalSection(TestCaseManagementSettings) = postSolution
-		CategoryFile = HeuristicLab.vsmdi
-	EndGlobalSection
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		CEDMA Debug|Any CPU = CEDMA Debug|Any CPU
@@ -2864,4 +2863,24 @@
 		{600287A3-8714-453E-B875-A05F3EB72315}.Visualization Debug|x86.ActiveCfg = Debug|x86
 		{600287A3-8714-453E-B875-A05F3EB72315}.Visualization Debug|x86.Build.0 = Debug|x86
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.CEDMA Debug|x64.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.GP Debug|x64.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x64.ActiveCfg = Release|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x86.ActiveCfg = Release|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -2869,6 +2888,6 @@
 	EndGlobalSection
 	GlobalSection(NestedProjects) = preSolution
-		{74752FCD-9E10-48DB-9AF2-AF5518B62807} = {410732DB-725A-4824-896B-C298978343C0}
 		{0AFC3DEE-0CA4-4CE6-BDE2-E06DDBB8BD21} = {410732DB-725A-4824-896B-C298978343C0}
+		{F43B59AB-2B8C-4570-BC1E-15592086517C} = {410732DB-725A-4824-896B-C298978343C0}
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5} = {410732DB-725A-4824-896B-C298978343C0}
 		{B462D3CC-8866-42F0-9832-AD0967613B72} = {410732DB-725A-4824-896B-C298978343C0}
@@ -2877,5 +2896,4 @@
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1} = {410732DB-725A-4824-896B-C298978343C0}
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99} = {410732DB-725A-4824-896B-C298978343C0}
-		{F43B59AB-2B8C-4570-BC1E-15592086517C} = {410732DB-725A-4824-896B-C298978343C0}
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA} = {410732DB-725A-4824-896B-C298978343C0}
 		{9076697B-C151-46CD-95BC-1D059492B478} = {410732DB-725A-4824-896B-C298978343C0}
@@ -2885,5 +2903,4 @@
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA} = {410732DB-725A-4824-896B-C298978343C0}
 		{F5614C53-153C-4A37-A608-121E1C087F07} = {410732DB-725A-4824-896B-C298978343C0}
-		{583705E2-B1F7-42B8-8149-96E7AECA171A} = {410732DB-725A-4824-896B-C298978343C0}
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C} = {410732DB-725A-4824-896B-C298978343C0}
 		{89F4BC52-C174-481E-9BD2-3814171020E8} = {410732DB-725A-4824-896B-C298978343C0}
@@ -2914,5 +2931,4 @@
 		{F0F97CBA-61A2-471C-9973-F099202B3BE5} = {410732DB-725A-4824-896B-C298978343C0}
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B} = {410732DB-725A-4824-896B-C298978343C0}
-		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F} = {410732DB-725A-4824-896B-C298978343C0}
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9} = {410732DB-725A-4824-896B-C298978343C0}
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C} = {410732DB-725A-4824-896B-C298978343C0}
@@ -2927,32 +2943,39 @@
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A} = {410732DB-725A-4824-896B-C298978343C0}
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB} = {410732DB-725A-4824-896B-C298978343C0}
-		{EE2034D9-6E27-48A1-B855-42D45F69A4FC} = {410732DB-725A-4824-896B-C298978343C0}
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB} = {410732DB-725A-4824-896B-C298978343C0}
 		{23117533-8A91-474E-BBF6-C39485D0810A} = {410732DB-725A-4824-896B-C298978343C0}
-		{D4E8C5EC-DB4A-4FF5-AE45-770A88B6D609} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{1BF17271-5350-476A-8F6D-FC74FA3E82CA} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{EE2034D9-6E27-48A1-B855-42D45F69A4FC} = {410732DB-725A-4824-896B-C298978343C0}
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F} = {410732DB-725A-4824-896B-C298978343C0}
+		{583705E2-B1F7-42B8-8149-96E7AECA171A} = {410732DB-725A-4824-896B-C298978343C0}
+		{74752FCD-9E10-48DB-9AF2-AF5518B62807} = {410732DB-725A-4824-896B-C298978343C0}
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC} = {410732DB-725A-4824-896B-C298978343C0}
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{4F9BB789-D561-436B-B226-2BF44B7D0804} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{A8265018-D687-4907-8A36-63B25967A038} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{19C1E42A-4B48-4EFD-B697-899016F1C198} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{C36BD924-A541-4A00-AFA8-41701378DDC5} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{25087811-F74C-4128-BC86-8324271DA13E} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{1F1CF3ED-374C-4288-995B-93F6B872F571} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{A0821479-801F-43DF-B788-AE92FB410DA9} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{74223A32-C726-4978-BE78-37113A18373C} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{7C20D100-8BEB-433A-9499-F075E2CB9297} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{6084CFB5-733F-449D-9F92-2E40D13F0514} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{00282156-589D-424F-9CE4-A8038636C926} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{A9E282EA-180F-4233-B809-AEDF0787545C} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{C36BD924-A541-4A00-AFA8-41701378DDC5} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{19C1E42A-4B48-4EFD-B697-899016F1C198} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{D4E8C5EC-DB4A-4FF5-AE45-770A88B6D609} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{DC3D7072-7999-4719-B65D-3997744D5DC1} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{00282156-589D-424F-9CE4-A8038636C926} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{25087811-F74C-4128-BC86-8324271DA13E} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{2C36CD4F-E5F5-43A4-801A-201EA895FE17} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{A8265018-D687-4907-8A36-63B25967A038} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{600287A3-8714-453E-B875-A05F3EB72315} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{2C36CD4F-E5F5-43A4-801A-201EA895FE17} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{DC3D7072-7999-4719-B65D-3997744D5DC1} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
-		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+	EndGlobalSection
+	GlobalSection(TestCaseManagementSettings) = postSolution
+		CategoryFile = HeuristicLab.vsmdi
 	EndGlobalSection
 EndGlobal
